Kirjoittaja Aihe: Netflix toimimaan Ubuntussa html5:n avulla ilman silverlightia  (Luettu 26091 kertaa)

zordo

  • Käyttäjä
  • Viestejä: 170
    • Profiili
Tarvitset Netflix tilauksen, Ubuntu 14.04:n tai 14.10:n ja Chrome 38 betan. Lisäksi netflixin asetuksista pitää olla valittuna käytä html5 silverlightin sijaan.
 Chrome beta.

14.04:een pitää myös ladata libnss3:stä uudempi versio kuin mitä 14.04 tarjoaa.

32bit
64bit

Pura .zip:istä kolme .deb tiedostoa kotikansioosi. Navigoi päätteellä kotikansioon ja komenna:
Koodia: [Valitse]
sudo dpkg -i libnss3*
Tämän jälkeen pitää vielä asentaa ja konfiguroida User Agent Switcher for Chrome.

Asennuksen jälkeen ilmestyy lisäosan kuvake osoiterivistä katsottuna oikealle. Hiiren oikealla napilla klikkaamalla saa auki asetukset-valikon. Tee uusi User Agent alla olevin tiedoin ja paina kaikki kohdat läpi käytyäsi add-painiketta.

Name: Netflix Linux
String: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/38.0.2114.2 Safari/537.36
Group: (täyttyy itsestään)
Append?: Valitse ‘Replace’
Flag: IE

Tämän jälkeen pitää vielä valita käyttöön juuri luotu User Agent. Klikkaa hiiren vasemmalla painikkeella lisäosan kuvaketta. Juuri luotu UA löytyy Chrome välilehden alta.

Lähde ja libnss3-linkit omgubuntu.

Nyt rullaa netflix Asus eee 1000H:llakin Xubuntu 14.04 kanssa :D


Lisätään vielä, että näppäinkomento  ctrl+alt+shift+s avulla saa videon bitratea pudotettua, jos tietokone ei suoriudu nettinopeuden avulla määräytyvästä arvosta.
« Viimeksi muokattu: 19.08.14 - klo:20.47 kirjoittanut zordo »
Core I5 2500K  GTX970 ubuntu 14.10

aku506

  • Käyttäjä
  • Viestejä: 356
    • Profiili
Tätä on odotettu Täytyykin testata illalla.

Tomin

  • Palvelimen ylläpitäjä
  • Käyttäjä / moderaattori+
  • Viestejä: 11195
    • Profiili
    • Tomin kotisivut
Harmi, että vaatii Chromen. Chromiumin mukana ei jaeta tuota suljettua palikkaa, joka toteuttaa sen DRM:n. Katsotaan uudestaan kunhan Firefox saa EME:n. Netflixiä en ainakaan vielä tilaa, mutta voisin harkita Spotify premiumin vaihtoa siihen, jos Linux olisi tuettu.
Automaattinen allekirjoitus:
Lisäisitkö [RATKAISTU] ketjun ensimmäisen viestin aiheeseen ongelman ratkettua, kiitos.

Jakke77

  • Käyttäjä
  • Viestejä: 3835
  • Oulu (Oinaansuo)
    • Profiili
Koodia: [Valitse]
***************** sudo apt-get install libnss3-nssdb
Luetaan pakettiluetteloita... Valmis
Muodostetaan riippuvuussuhteiden puu      
Luetaan tilatiedot... Valmis        
libnss3-nssdb on jo uusin versio.
Saatat haluta suorittaa "apt-get -f install" korjaamaan nämä:
Näillä paketeilla on tyydyttämättömiä riippuvuuksia:
 libnss3-1d : Riippuvuudet: libnss3 (= 2:3.16.3-1ubuntu1) mutta 2:3.15.4-1ubuntu7 on merkitty asennettavaksi
 libnss3-nssdb : Riippuvuudet: libnss3 (= 2:3.16.3-1ubuntu1) mutta 2:3.15.4-1ubuntu7 on merkitty asennettavaksi
E: Kaikkia riippuvuuksia ei ole tyydytetty. Kokeile "apt-get -f install" ilmanpaketteja (tai ratkaise itse).
**************:~$ sudo apt-get -f install
Luetaan pakettiluetteloita... Valmis
Muodostetaan riippuvuussuhteiden puu      
Luetaan tilatiedot... Valmis        
Korjataan riippuvuuksia... ei onnistunut.
Näillä paketeilla on tyydyttämättömiä riippuvuuksia:
 libnss3-1d : Riippuvuudet: libnss3 (= 2:3.16.3-1ubuntu1) mutta 2:3.15.4-1ubuntu7 on asennettu
 libnss3-nssdb : Riippuvuudet: libnss3 (= 2:3.16.3-1ubuntu1) mutta 2:3.15.4-1ubuntu7 on asennettu
E: Virhe, pkgProblemResolver::Resolve tuotti katkoja, syynä voi olla pysytetyt paketit.
E: Riippuvuuksien korjaus ei onnistu

tähän päätyi mun asentelu, kokeilin synapticillakin korjata mutta tahtoi poistaa melkein kaiken joten en viitsinyt ottaa riskiä pakettien korjaamiseksi.
kuinkahan tämän korjaisi ettei tämä korjaus poistaisi ihan kaikkea, kuvista näkyy mitä tämä korjaus tahtoisi poistaa
kokeilin myös install -f
« Viimeksi muokattu: 19.08.14 - klo:18.57 kirjoittanut Jakke77 »
U_G_H

Aspire E5-575G V1.27 CPU: Intel i3-6100U (4) @ 2.300GHz GPU: Intel® HD Graphics 520 GPU: NVIDIA GeForce 940MX

zordo

  • Käyttäjä
  • Viestejä: 170
    • Profiili
Kokeilitko noilla .deb tiedostoilla? Jos 14.04 alla, niin ei taida pakettivarastoista tarjota tarpeeksi tuoreita. Tämänkin olisin tietty voinut kirjoittaa jo aloituspostiin selkeämmin. Mikäli .deb:eistä asensit dpgk:lla niin en kyllä tiedä mikä mättää. Oma Xubuntu 32bit 14.04 ei valittanut mitään, vaikka on Spotifyt sisällä - muuten tosin miltei alkuperäisessä koossa.
Core I5 2500K  GTX970 ubuntu 14.10

Lups

  • Käyttäjä
  • Viestejä: 638
    • Profiili
Netflix ja Viaplay toimimaan
« Vastaus #5 : 19.08.14 - klo:22.32 »
Olisiko jollain selvää ohjetta miten saisin katsottua Netflixilla elokuvia Ubuntussa? Tiedän että siitä on tutoriaali mutta en mielelläni käyttäisi Chromiumia jos on muitakin vaihtoehtoja. Entäs Viaplay? Miten sen saa toimimaan Linuxissa?

Minulla oli sellainen usb-tikku millä pystyi katsomaan televisiosta mutta onnistuin kadottamaan sen.  8)

qwertyy

  • Käyttäjä
  • Viestejä: 5125
    • Profiili
Vs: Netflix ja Viaplay toimimaan
« Vastaus #6 : 19.08.14 - klo:23.05 »
Ne on nuo tutoriaalit mitkä mainitsit. Muita vaihtoehtoja ei vielä ole.

Lups

  • Käyttäjä
  • Viestejä: 638
    • Profiili
Vs: Netflix ja Viaplay toimimaan
« Vastaus #7 : 19.08.14 - klo:23.07 »
Okei kokeilen, mikä olisi helpoin seurata?

qwertyy

  • Käyttäjä
  • Viestejä: 5125
    • Profiili
Vs: Netflix ja Viaplay toimimaan
« Vastaus #8 : 19.08.14 - klo:23.11 »

Tuolla pitäisi Netflixin toimia jouheiten.


Linkki poistettu, ohajsi tähän keskusteluun...  (yhdistetyt aiheet) -Storck
« Viimeksi muokattu: 24.08.14 - klo:16.47 kirjoittanut Storck »

annimonni

  • Käyttäjä
  • Viestejä: 293
    • Profiili
Netflix ja Ubuntu 12.04 LTS
« Vastaus #9 : 24.08.14 - klo:16.34 »
Miten saa Netflixin toimimaan Ubuntu 12.04 versiolla?

raimo

  • Käyttäjä
  • Viestejä: 3645
    • Profiili
Vs: Netflix ja Ubuntu 12.04 LTS
« Vastaus #10 : 24.08.14 - klo:16.58 »
Miten saa Netflixin toimimaan Ubuntu 12.04 versiolla?
ARGH, kirjoitin jo tuonne toiseen aiheeseen, joku poisti aiheen kesken kaiken!!
Onneksi on tapana aina ennen lähetystä kopsia teksti leikepöydälle, joten nou hätä. :D

Eli 12.04:ään näin.
(e: koska tuo HTML5 ja Google Chrome dev/beta toiminee vain 14.04 ja 14.10 versioissa)

Tarvitaan Firefox selain, Pipelight ja User Agent-vaihtaja lisäosa.

Nyt en ole varma onko 12.04:ssä multiverse lähde oletuksena käytössä, tarkista se ensin:
http://askubuntu.com/questions/89096/how-do-i-enable-the-multiverse-repository
Fontit asentuu osin tuosta lähteestä joten se on oltava käytössä.

Pipelightin asennus:
http://pipelight.net/cms/install/installation-ubuntu.html
Hyväksy fonttilisenssit TAB -> Enter näpläimillä.

Ja sen jälkeen tämän mukaisesti Silverlight käyttöön:
http://pipelight.net/cms/plugin-silverlight.html

Käynnistä selain uudelleen jolloin Wine-palikat asentuu tarvittavilta osiltaan

Asenna sitten Firefoxiin tämä lisäosa:
https://addons.mozilla.org/en-US/firefox/addon/user-agent-overrider/
Ja vaihda sillä selain esiintymään Windows/Firefoxina.

1. kerralla taitaa tulla videon tilalle sellainen legopalikka jota pitää klikata ja hyväksyä plugin käyttö aina.

« Viimeksi muokattu: 24.08.14 - klo:20.34 kirjoittanut raimo »
So long and thanks for all the fish!

Storck

  • Vieras
Vs: Netflix ja Ubuntu 12.04 LTS
« Vastaus #11 : 24.08.14 - klo:18.00 »
ARGH, kirjoitin jo tuonne toiseen aiheeseen, joku poisti aiheen kesken kaiken!!

Ei kai täältä mitään ole poistettu, ei kuulu palstan tapaan/tyyliin poistella mitään asiallista.

raimo

  • Käyttäjä
  • Viestejä: 3645
    • Profiili
Vs: Netflix ja Ubuntu 12.04 LTS
« Vastaus #12 : 24.08.14 - klo:18.24 »
ARGH, kirjoitin jo tuonne toiseen aiheeseen, joku poisti aiheen kesken kaiken!!

Ei kai täältä mitään ole poistettu, ei kuulu palstan tapaan/tyyliin poistella mitään asiallista.
En tarkoittanu että viesti poistettiin, vaan koko annimonnin aloittama aihe (Netflix ja Ubuntu 12.04 LTS ), ilmsesti yhdistit sen juuri sopivasti tähän toiseen aiheeseen .. minun lähetys ei onnistunut vaan valitti että aihetta ei ole tai oikeutesi eivät riitä tms. Mutta siis mitään vahinkoa ei tapahtunut. ;)
« Viimeksi muokattu: 24.08.14 - klo:18.26 kirjoittanut raimo »
So long and thanks for all the fish!

annimonni

  • Käyttäjä
  • Viestejä: 293
    • Profiili
Lainaus
Nyt en ole varma onko 12.04:ssä multiverse lähde oletuksena käytössä, tarkista se ensin:
http://askubuntu.com/questions/89096/how-do-i-enable-the-multiverse-repository
Fontit asentuu osin tuosta lähteestä joten se on oltava käytössä.

Siis laitanko nyt siis ensin näitä koodeja päätteeseen?

Command line

Open
Koodia: [Valitse]
/etc/apt/sources.list with any editor.

Koodia: [Valitse]
# command line editor (nano)
sudo -e /etc/apt/sources.list

# graphical editor
gksu gedit /etc/apt/sources.list

Uncomment (remove the # from the front of) the multiverse lines or add them in if needed, so the lines look like this:

Koodia: [Valitse]
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://us.archive.ubuntu.com/ubuntu/ oneiric multiverse
#deb-src http://us.archive.ubuntu.com/ubuntu/ oneiric multiverse
deb http://us.archive.ubuntu.com/ubuntu/ oneiric-updates multiverse
#deb-src http://us.archive.ubuntu.com/ubuntu/ oneiric-updates multiverse

Uncomment the deb-src lines if you need to download the source code (most users will not need the source code, so if in doubt, leave them disabled).

Save your edit (if you are using nano, Ctrl+X , then type Y to save your changes) then, to update you r package list, run

Koodia: [Valitse]
sudo apt-get update

raimo

  • Käyttäjä
  • Viestejä: 3645
    • Profiili
Käytä mieluumin sitä graafillista ohjetta joka on ensin ko. sivulla.
So long and thanks for all the fish!

annimonni

  • Käyttäjä
  • Viestejä: 293
    • Profiili
Mikäs tuo software sources olikaan suomeksi...? Eli mistä pääsen tuohon kohtaan?
« Viimeksi muokattu: 24.08.14 - klo:19.46 kirjoittanut annimonni »

kamara

  • Käyttäjä
  • Viestejä: 2531
    • Profiili
Mikäs tuo software sources olikaan suomeksi...?

Ohjelman lähdekoodit.

annimonni

  • Käyttäjä
  • Viestejä: 293
    • Profiili
Mut mistä pääsen siihen?

raimo

  • Käyttäjä
  • Viestejä: 3645
    • Profiili
Mut mistä pääsen siihen?
Nyt on vaikea sanoa kun käytän Kubuntua, joku Ubuntu-ihminen voisi ohjata.
Tuossa wikin ohje:
http://fi.wikibooks.org/wiki/Ubuntu_tutuksi/Ohjelmien_asentaminen_ja_pakettivarastot#Ohjelmal.C3.A4hteiden_hallinta
So long and thanks for all the fish!

Tomin

  • Palvelimen ylläpitäjä
  • Käyttäjä / moderaattori+
  • Viestejä: 11195
    • Profiili
    • Tomin kotisivut
Mikäs tuo software sources olikaan suomeksi...?

Ohjelman lähdekoodit.

Ohjelmalähteet taitaa olla oikea suomennos. Ainakin Sovellusvalikoiman valikosta löytyy kohta noille, josta sen saa auki. Muistaakseni Muokkaa-valikon alin kohta, mutta muistista tuon kirjoitin eli saatan muistaa väärinkin. Voi myös löytyä sillä Unity-valikon haulla.

Ja taaskin Gnome 3 käyttäjä, jolla ei ole edes Ubuntu alla antamassa ohjeita eli enpä itsekään pääse tuota tarkistamaan juuri nyt.
Automaattinen allekirjoitus:
Lisäisitkö [RATKAISTU] ketjun ensimmäisen viestin aiheeseen ongelman ratkettua, kiitos.